<div class="body" [ngClass]="{'button-off': isOff}">
  <button
    [disabled]="isOff"
    (click)="buttonWasClicked()"
    [ngStyle]="{'background-color': ' var(' + color + ')'}"
    class="action-button" pRipple
  >
    <div class="flex-inline-box">
      <ng-container *ngIf="pIcon">
        <div class="icon">
          <em style="font-size: 27px" class=" pi {{ pIcon }}"></em>
        </div>
      </ng-container>
      <div class="text-element">
        {{ text }}
      </div>
    </div>
  </button>
  <div class="label" *ngIf="label">
    {{ label }}
  </div>
</div>
